> ## Documentation Index
> Fetch the complete documentation index at: https://docs-vnext.kiflo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload attachment from URL

> Download a file from a given URL and create an attachment linked to a partner, deal, lead, note, payout, customer, or collaboration.



## OpenAPI

````yaml /openapi.json post /v3/attachments/upload-from-url
openapi: 3.0.1
info:
  title: Kiflo Public API v3
  description: "The Kiflo API allows you to have control over your integration and create the best experiences.\r\n\r\n***\r\n\r\n## Format\r\n\r\nThe API follows the REST standard using JSON to format requests and responses.  \r\nDecimals are formatted using invariant culture, ie: using \".\" (dot) as a decimal sperator and no thousands separator.  \r\nDates are formatted using ISO standards, in UTC format, including the timezone. Ex:  2015-03-25T12:00:00Z\r\n\r\n***\r\n\r\n## Security\r\n\r\nThe API is secured using an API token.\r\n\r\n**How to generate an API Access Token**  \r\n 1. Open your [account settings page](https://app.kiflo.com/account/integration)\r\n 2. Go to the \"API Access Token\" section\r\n 3. Click \"Add\" button\r\n 4. Choose a name that will be used to identify the token and click \"Add\"\r\n 4. Copy the generate token\r\n   \r\n> **Note:** For security reason, the generated API Access Token won't be visible after you close the settings page. Be sure to copy the generated token otherwise you won't be able to get it later.\r\n  \r\n**How to authenticate on the API**  \r\n  \r\nTo authenticate on the API, send the generated token in the Authorization header using the Bearer scheme:  \r\n`Authorization: Bearer #YOUR_GENERATED_TOKEN_HERE#`\r\n"
  version: v3
servers: []
security: []
paths:
  /v3/attachments/upload-from-url:
    post:
      tags:
        - Attachments
      summary: Upload attachment from URL
      description: >-
        Download a file from a given URL and create an attachment linked to a
        partner, deal, lead, note, payout, customer, or collaboration.
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/AttachmentUploadFromUrlRequestDto'
          application/json:
            schema:
              $ref: '#/components/schemas/AttachmentUploadFromUrlRequestDto'
          text/json:
            schema:
              $ref: '#/components/schemas/AttachmentUploadFromUrlRequestDto'
          application/*+json:
            schema:
              $ref: '#/components/schemas/AttachmentUploadFromUrlRequestDto'
      responses:
        '200':
          description: Attachment created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AttachmentDto'
        '400':
          description: Invalid request
      security:
        - oauth2:
            - Attachment.Create
            - Api
components:
  schemas:
    AttachmentUploadFromUrlRequestDto:
      required:
        - url
      type: object
      properties:
        url:
          minLength: 1
          type: string
        fileName:
          type: string
          nullable: true
        partnerId:
          type: integer
          format: int32
          nullable: true
        dealId:
          type: integer
          format: int32
          nullable: true
        leadId:
          type: integer
          format: int32
          nullable: true
        noteId:
          type: integer
          format: int32
          nullable: true
        payoutId:
          type: integer
          format: int32
          nullable: true
        customerId:
          type: integer
          format: int32
          nullable: true
        collaborationId:
          type: integer
          format: int32
          nullable: true
      additionalProperties: false
    AttachmentDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
          nullable: true
        fileExtension:
          type: string
          nullable: true
        size:
          type: integer
          format: int64
        downloadUrl:
          type: string
          nullable: true
        partnerId:
          type: integer
          format: int32
          nullable: true
        dealId:
          type: integer
          format: int32
          nullable: true
        leadId:
          type: integer
          format: int32
          nullable: true
        noteId:
          type: integer
          format: int32
          nullable: true
        payoutId:
          type: integer
          format: int32
          nullable: true
        customerId:
          type: integer
          format: int32
          nullable: true
        collaborationId:
          type: integer
          format: int32
          nullable: true
        creationDate:
          type: string
          format: date-time
        createdByUserName:
          type: string
          nullable: true
      additionalProperties: false

````